---
title: Get reachability
slug: data-platform/api/get-reachability
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "jDIiOCi93z5OgvNCf6jPo",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/reachability/{identifier_field_name}",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/reachability/{identifier_field_name}",
        "description": "Asia-Pacific"
      }
    ],
    "name": "Get reachability",
    "description": "Retrieve reachability information for a specific identifier.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "identifier_field_name",
          "type": "string",
          "description": "<p>The name of the field that this identifiers falls under (for example, email).</p>"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "description": "<p>A valid messaging identifier (for example, an email address).</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "x-api-key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"identifier_field_name\":\"email\",\"identifier_value\":\"test@optimizely.com\",\"reachable_update_type\":\"hard_bounce\",\"reachable_update_reason\":\"5xx from mailbox provider\",\"reachable_update_ts\":1572721108,\"reachable\":false,\"zaius_id\":3355837520960160000}",
            "description": "",
            "customType": "Reachability",
            "schema": [
              {
                "name": "identifier_value",
                "kind": "required",
                "type": "string",
                "description": "<p>A valid messaging identifier, like an email address.</p>"
              },
              {
                "name": "identifier_field_name",
                "kind": "required",
                "type": "string",
                "description": "<p>The name of the field that this identifier falls under (for example, email).</p>"
              },
              {
                "name": "reachable",
                "kind": "required",
                "type": "boolean",
                "description": "<p>True/false indicator of the reachability status for this identifier value.</p>",
                "default": true
              },
              {
                "name": "reachable_update_type",
                "kind": "required",
                "type": "string",
                "description": "<p>The type of change to the reachability status. If <code>reachable</code> is set to <code>true</code>, you must leave this field null. Reason must be one of the following options: <code>hard_bounce</code>, <code>soft_bounce</code>, <code>spam_report</code>, <code>uninstall</code>, <code>invalid_identifier</code>, <code>returned_to_sender</code>, <code>unknown</code>, <code>expired</code>, <code>other</code>.</p>"
              },
              {
                "name": "reachable_update_reason",
                "kind": "optional",
                "type": "string",
                "description": "A specific error code or note for the change type."
              },
              {
                "name": "reachable_update_ts",
                "kind": "optional",
                "type": "string",
                "description": "<p>The time of the event (defaults to current time).</p>"
              },
              {
                "name": "zaius_id",
                "kind": "optional",
                "type": "integer",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/Reachability",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "pjU8bTDbv63RMHxmJM9sR",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}?id=string' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "Fr96g96X9l6IvXEYk0JOp",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}?id=string\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Cs4GxMqWIqri3VutYYbre",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}?id=string\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "9kVvm9gq87YtWlm2dQODq",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}?id=string\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "pjU8bTDbv63RMHxmJM9sR"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"identifier_value\": \"\",\n  \"identifier_field_name\": \"\",\n  \"reachable\": false,\n  \"reachable_update_type\": \"\",\n  \"reachable_update_reason\": \"\",\n  \"reachable_update_ts\": \"\",\n  \"zaius_id\": 0\n}"
        },
        {
          "id": "response-1-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}